#

#   print_gif - output tiff image and convert to gif
#
#   Stephen Smith, FMRIB Image Analysis Group
#
#   Copyright (C) 1999-2000 University of Oxford
#
#   Part of FSL - FMRIB's Software Library
#   WWW:      http://www.fmrib.ox.ac.uk/fsl
#   Email:    fsl@fmrib.ox.ac.uk
#   
#   Developed at FMRIB (Oxford Centre for Functional Magnetic Resonance
#   Imaging of the Brain), Department of Clinical Neurology, Oxford
#   University, Oxford, UK
#   
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or (at
#   your option) any later version.
#   
#   This program is distributed in the hope that it will be useful, but in
#   order that the University as a charitable foundation protects its
#   assets for the benefit of its educational and research purposes, the
#   University makes clear that no condition is made or to be implied, nor
#   is any warranty given or to be implied, as to the accuracy of FSL, or
#   that it will be suitable for any particular purpose or for use under
#   any specific conditions.  Furthermore, the University disclaims all
#   responsibility for the use which is made of FSL.  See the GNU General
#   Public License for more details.
#   
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
#   USA

proc print_gif { thefile } {

    global FSLDIR

    keylset PrinterProps Type Tiff
    keylset PrinterProps Orientation Landscape
    keylset PrinterProps NumCopies 1
    keylset PrinterProps Name ${thefile}.tif
    MxSetPrinterSetup PrinterProps

    MxGetCurrentPage thepage
    puts $thepage
    MxGetImageProperties $thepage thepageprops
    keylset thepageprops CaptionColor 0
    MxSetImageProperties $thepage thepageprops
    MxPrintPage $thepage

    after 5000
    
    set errrr [ catch { exec ${FSLDIR}/bin/convert -colors 100 -crop 0x0 ${thefile}.tif ${thefile}.gif } junk ]
    if { $errrr == 0 } {
	set errrr [ catch { exec /bin/rm -f ${thefile}.tif } junk ]
	set errrr [ catch { exec /bin/rm -f ${thefile}.tif } junk ]
	set errrr [ catch { exec /bin/rm -f ${thefile}.tif } junk ]
    }
}
