
# note that a different version of runscript is used where arguments need to be passed

global PXHOME HOME FSLDIR FSLDIRl

# FSLDIRl is used to avoid conflict with FSLDIR as set by MEDx-bundled FSL
set FSLDIRl $FSLDIR

set FSLVERSION [ exec cat ${FSLDIR}/etc/fslversion ]

menubutton $w.f1.fmrib -text "FSL $FSLVERSION" -menu $w.f1.fmrib.menu
menu $w.f1.fmrib.menu

set INOXFORD [ file exists ${FSLDIRl}/tcl/loadvarian.tcl ]

if { $INOXFORD } {

    if { [ file exists ${FSLDIRl}/tcl/loadvarian.tcl ] } {
	$w.f1.fmrib.menu add command -label "  Load Varian" \
		-command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIRl}/tcl/loadvarian.tcl" &} junk]}
    }

    if { [ file exists ${FSLDIRl}/tcl/dropouts.tcl ] } {
	$w.f1.fmrib.menu add command -label "  Fix Slice Dropouts" \
		-command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0 ${FSLDIRl}/tcl/group_run.tcl ${FSLDIRl}/tcl/dropouts.tcl dropouts \"-1 1\"" &} junk]}
    }

    if { [ file exists ${FSLDIRl}/tcl/feat.tcl ] } {
	$w.f1.fmrib.menu add command -label "  FEAT" \
		-command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIRl}/tcl/feat.tcl" &} junk]}
    }

    $w.f1.fmrib.menu add separator
}

$w.f1.fmrib.menu add cascade -label "General" -menu $w.f1.fmrib.menu.genmenu
menu $w.f1.fmrib.menu.genmenu

if { [ file exists ${FSLDIRl}/tcl/bet.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "BET Brain Extraction" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0  ${FSLDIRl}/tcl/bet.tcl" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/susan.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "SUSAN Noise Reduction" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0  ${FSLDIRl}/tcl/susan.tcl" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/fast.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "FAST Segmentation" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0  ${FSLDIRl}/tcl/fast.tcl" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/flirt.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "FLIRT Linear Registration" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIRl}/tcl/flirt.tcl" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/eros.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "EROS Symmetry Plane" \
	    -command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/volume_or_image_run.tcl ${FSLDIRl}/tcl/eros.tcl" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/clusters.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Cluster Count" \
	    -command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/volume_or_image_run.tcl ${FSLDIRl}/tcl/clusters.tcl clusters \"-100.0 /tmp/${USER}_cluster_count.txt 1 -1\"" &} junk]}
}

if { [ file exists /usr/local/mni/bin/Display ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Create Image Mask Using \"Display\"" \
	    -command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/volume_or_image_run.tcl ${FSLDIRl}/tcl/mni_mask.tcl mni_mask \" \"" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/taldaemon.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Talairach Daemon" \
	    -command { set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIRl}/tcl/taldaemon.tcl" &} junk] }
}

if { [ file exists ${FSLDIRl}/tcl/iso.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Make Image Isometric" \
	    -command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/volume_run.tcl ${FSLDIRl}/tcl/iso.tcl makeiso \"0\"" &} junk]}
}


if { [ file exists ${FSLDIRl}/tcl/concat_transforms.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Concat Transforms" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0  ${FSLDIRl}/tcl/concat_transforms.tcl" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/copy_origin.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Copy Origin" \
	    -command {set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/volume_run.tcl ${FSLDIRl}/tcl/copy_origin.tcl" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/save_die.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Delayed Folder Saving" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0  ${FSLDIRl}/tcl/save_die.tcl" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/positive_voxel.tcl ] } {
    $w.f1.fmrib.menu.genmenu add command -label "Make Voxel Dimensions Positive" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0  ${FSLDIRl}/tcl/positive_voxel.tcl" &} junk]}
}

$w.f1.fmrib.menu add cascade -label "Group Operations" -menu $w.f1.fmrib.menu.groupmenu
menu $w.f1.fmrib.menu.groupmenu

if { [ file exists ${FSLDIRl}/tcl/ifit.tcl ] } {
    $w.f1.fmrib.menu.groupmenu add command -label "iFit Curve Fitting" \
	    -command {set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/group_run.tcl ${FSLDIRl}/tcl/ifit.tcl" &} junk]}
}

if { [ file exists /usr/local/mni/bin/register ] } {
    $w.f1.fmrib.menu.groupmenu add command -label "Compare first two images from a group using \"register\"" \
	    -command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/group_run.tcl ${FSLDIRl}/tcl/mni_register.tcl mni_register \" \"" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/median.tcl ] } {
    $w.f1.fmrib.menu.groupmenu add command -label "Group Median" \
	    -command {set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/group_run.tcl ${FSLDIRl}/tcl/median.tcl group_median 1" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/group_do.tcl ] } {
    $w.f1.fmrib.menu.groupmenu add command -label "Group Do (Generic Operation)" \
	    -command {set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/group_run.tcl ${FSLDIRl}/tcl/group_do.tcl" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/scatter.tcl ] } {
    $w.f1.fmrib.menu.groupmenu add command -label "Scatter Plot from 2 Images" \
	    -command {set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/group_run.tcl ${FSLDIRl}/tcl/scatter.tcl scatter" &} junk]}
}

$w.f1.fmrib.menu add cascade -label "FMRI" -menu $w.f1.fmrib.menu.fmrimenu
menu $w.f1.fmrib.menu.fmrimenu

#if { [ file exists ${FSLDIRl}/tcl/dropouts.tcl ] } {
#    $w.f1.fmrib.menu.fmrimenu add command -label "Fix Slice Dropouts" \
#	    -command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0 ${FSLDIRl}/tcl/group_run.tcl ${FSLDIRl}/tcl/dropouts.tcl dropouts \"-1 1\"" &} junk]}
#}

if { [ file exists ${FSLDIRl}/tcl/feat.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "FEAT" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIRl}/tcl/feat.tcl" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/irva.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "IRVA (Inter-Repetition Variance Analysis)" \
	    -command {set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/group_run.tcl ${FSLDIRl}/tcl/irva.tcl" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/melodic.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "MELODIC (ICA)" \
	    -command {set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/group_run.tcl ${FSLDIRl}/tcl/melodic.tcl" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/renderstats.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "Statistics Colour Rendering" \
	    -command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIRl}/tcl/renderstats.tcl" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/snr.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "Signal-to-Noise Ratio" \
	    -command {set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/group_run.tcl ${FSLDIRl}/tcl/snr.tcl" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/globnorm.tcl ] } {
    $w.f1.fmrib.menu.fmrimenu add command -label "Slice-Based Intensity Normalisation" \
	    -command {set USER $env(USER); set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0 ${FSLDIRl}/tcl/group_run.tcl ${FSLDIRl}/tcl/globnorm.tcl" &} junk]}
}

$w.f1.fmrib.menu add cascade -label "Graphics / Output" -menu $w.f1.fmrib.menu.graphicsmenu
menu $w.f1.fmrib.menu.graphicsmenu

if { [ file exists ${FSLDIRl}/tcl/cut_corner.tcl ] } {
    $w.f1.fmrib.menu.graphicsmenu add command -label "Cut 3D Corner" \
	    -command {set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/volume_run.tcl ${FSLDIRl}/tcl/cut_corner.tcl cut_corner" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/anim.tcl ] } {
    $w.f1.fmrib.menu.graphicsmenu add command -label "Rendering Animation" \
	    -command {set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/volume_run.tcl ${FSLDIRl}/tcl/anim.tcl" &} junk]}
}

if { [ file exists ${FSLDIRl}/tcl/rolling_display.tcl ] } {
    $w.f1.fmrib.menu.graphicsmenu add command -label "Rolling Display" \
	    -command {set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/group_run.tcl ${FSLDIRl}/tcl/rolling_display.tcl" &} junk]}
}

if { $INOXFORD } {
    $w.f1.fmrib.menu add separator
    $w.f1.fmrib.menu add cascade -label "Old versions" -menu $w.f1.fmrib.menu.oldmenu
    menu $w.f1.fmrib.menu.oldmenu
    if { [ file exists ${FSLDIRl}/tcl/feat2.tcl ] } {
	$w.f1.fmrib.menu.oldmenu add command -label "FEAT2" \
		-command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIRl}/tcl/feat2.tcl" &} junk]}
    }
    if { [ file exists ${FSLDIRl}/tcl/feat3.tcl ] } {
	$w.f1.fmrib.menu.oldmenu add command -label "FEAT3" \
		-command {set status [catch {exec sh -ce "$PXHOME/bin/runscript.sh 0 ${FSLDIRl}/tcl/feat3.tcl" &} junk]}
    }
    if { [ file exists ${FSLDIRl}/tcl/serial_ttest.tcl ] } {
	$w.f1.fmrib.menu.oldmenu add command -label "Serial T Test" \
		-command {set status [catch {exec sh -ce "${FSLDIRl}/tcl/runscript.sh 0  ${FSLDIRl}/tcl/group_run.tcl ${FSLDIRl}/tcl/serial_ttest.tcl" &} junk]}
    }
}

$w.f1.fmrib.menu add separator

$w.f1.fmrib.menu add command -label "Help" \
	-command { source ${FSLDIRl}/tcl/webhelp.tcl ; FmribWebHelp file: ${FSLDIRl}/doc/index.html }

if { [ file exists ${HOME}/.medx.tcl ] } {
    source ${HOME}/.medx.tcl
}
